<?php
  require_once "includes/libs/thumb.php";
  ob_end_clean();
  if($PAGE_ARRAY[0] == "logout"){
    session_destroy();
    header("location: ".$DOCUMENT_ROOT);
  }elseif(isset($_POST['do'])){
    if($_POST['do'] == "join"){//JOIN
      if(isset($_POST['token']) && isset($_POST['user']) &&isset($_POST['pass']) && isset($_POST['repass']) && isset($_POST['submit'])){
        $frm_token  = escapefordb($_POST['token']);
        $frm_user   = escapefordb($_POST['user']);
        $frm_pass   = escapefordb($_POST['pass']);
        $frm_repass = escapefordb($_POST['repass']);
        $frm_submit = escapefordb($_POST['submit']);
        if(check_token($frm_token) && $frm_user != "" && $frm_pass != "" && $frm_repass != ""){
          if(!user_exists($frm_user) && $frm_pass == $frm_repass){
            if(create_user($frm_user, $frm_pass)){
              header("location: ".$DOCUMENT_ROOT."login");
            }else{
              header("location: ".$DOCUMENT_ROOT."error");
            }
          }else{
            header("location: ".$DOCUMENT_ROOT."join");
          }
        }else{
          header("location: ".$DOCUMENT_ROOT."join");
        }
      }else{
        header("location: ".$DOCUMENT_ROOT."join");
      }        
    }
    elseif($_POST['do'] == "login"){//LOGIN
      if(isset($_POST['token']) && isset($_POST['user']) && isset($_POST['pass']) && isset($_POST['submit'])){
        $frm_token  = escapefordb($_POST['token']);
        $frm_user   = escapefordb($_POST['user']);
        $frm_pass   = escapefordb($_POST['pass']);
        $frm_submit = escapefordb($_POST['submit']);
        if(check_token($frm_token) && $frm_user != "" && $frm_pass != ""){
          if(user_exists($frm_user)){
            if(check_user($frm_user, $frm_pass)){
              $_SESSION['user'] = $frm_user;
              $_SESSION['logged_in'] = true;
              header("location: ".$DOCUMENT_ROOT);
            }else{
              header("location: ".$DOCUMENT_ROOT."error");
            }
          }else{
            header("location: ".$DOCUMENT_ROOT."login");
          }
        }else{
          header("location: ".$DOCUMENT_ROOT."login");
        }
      }else{
        header("location: ".$DOCUMENT_ROOT."login");
      }        
    }
    elseif($_POST['do'] == "post" && $USER_IS_LOGGED_IN){//POST
      if(isset($_POST['token']) && isset($_POST['post']) && isset($_POST['submit'])){
        $frm_token  = escapefordb($_POST['token']);
        $frm_post   = escapefordb($_POST['post']);
        $frm_submit = escapefordb($_POST['submit']);
        if(check_token($frm_token) && $frm_post != "" && strlen($frm_post) <= 200){
          if(user_exists($_SESSION['user'])){
            if(create_message($_SESSION['user'], str_replace(Array("\r","\n"), '', $frm_post))){
              header("location: ".$DOCUMENT_ROOT."profile");
            }else{
              header("location: ".$DOCUMENT_ROOT."profile");
            }
          }else{
            header("location: ".$DOCUMENT_ROOT."profile");
          }
        }else{
          header("location: ".$DOCUMENT_ROOT."profile");
        }
      }else{
        header("location: ".$DOCUMENT_ROOT."profile");
      }        
    }
    elseif($_POST['do'] == "image" && $USER_IS_LOGGED_IN){//IMAGE
      if(isset($_POST['token']) && isset($_FILES['image']) && isset($_POST['submit'])){
        $frm_token  = escapefordb($_POST['token']);
        $frm_image  = $_FILES['image'];
        $frm_submit = escapefordb($_POST['submit']);
        if(check_token($frm_token)){
          if(user_exists($_SESSION['user']) && $frm_image["size"] < 1000000){
            $Worked_Properly = true;
            $Target = "db/users/".sha1(strtolower($_SESSION['user']))."/icon.jpg";
            $File_Type = pathinfo(basename($frm_image["name"]), PATHINFO_EXTENSION);

            if (preg_match('/jpg|jpeg/i',$File_Type))
              $Temp_Image = imagecreatefromjpeg($frm_image['tmp_name']);
            elseif (preg_match('/png/i',$File_Type))
              $Temp_Image = imagecreatefrompng($frm_image['tmp_name']);
            elseif (preg_match('/gif/i',$File_Type))
              $Temp_Image = imagecreatefromgif($frm_image['tmp_name']);
            elseif (preg_match('/bmp/i',$File_Type))
              $Temp_Image = imagecreatefrombmp($frm_image['tmp_name']);
            else{
              header("location: ".$DOCUMENT_ROOT."profile/edit/image");
              exit();
            }
            
            $Temp_Image = thumbnail_box($Temp_Image, 150, 150);
            
            if(is_null($Temp_Image)){
              header("location: ".$DOCUMENT_ROOT."profile/edit/image");
              exit();
            }
            
            imagejpeg($Temp_Image, $Target, 85);
            imagedestroy($Temp_Image);
            
            if($Worked_Properly){
              header("location: ".$DOCUMENT_ROOT."profile");
            }else{
              header("location: ".$DOCUMENT_ROOT."profile/edit/image");
            }
          }else{
            header("location: ".$DOCUMENT_ROOT."profile/edit/image");
          }
        }else{
          header("location: ".$DOCUMENT_ROOT."profile/edit/image");
        }
      }else{
        header("location: ".$DOCUMENT_ROOT."profile/edit/image");
      }        
    }
    elseif($_POST['do'] == "profile" && $USER_IS_LOGGED_IN){//PROFILE
      if(isset($_POST['token']) && isset($_POST['name']) && isset($_POST['description']) && isset($_POST['submit'])){
        $frm_token  = escapefordb($_POST['token']);
        $frm_name   = escapefordb($_POST['name']);
        $frm_desc   = escapefordb($_POST['description']);
        $frm_submit = escapefordb($_POST['submit']);
        if(check_token($frm_token)){
          if(user_exists($_SESSION['user'])){
            $data = get_user_data($_SESSION['user']);
            $data->display     = $frm_name;
            $data->description = $frm_desc;
            if(update_user_data($_SESSION['user'], $data)){
              header("location: ".$DOCUMENT_ROOT."profile");
            }else{
              header("location: ".$DOCUMENT_ROOT."profile/edit");
            }
          }else{
            header("location: ".$DOCUMENT_ROOT."profile/edit");
          }
        }else{
          header("location: ".$DOCUMENT_ROOT."profile/edit");
        }
      }else{
        header("location: ".$DOCUMENT_ROOT."profile/edit");
      }        
    }
    elseif($_POST['do'] == "follow" && $USER_IS_LOGGED_IN){//FOLLOW
      if(isset($_POST['token']) && isset($_POST['user'])){
        $frm_token  = escapefordb($_POST['token']);
        $frm_name   = escapefordb($_POST['user']);
        if(check_token($frm_token)){
          if(user_exists($_SESSION['user'])){
            $data = get_user_data($_SESSION['user']);
            array_push($data->stream, $frm_name);
            if(update_user_data($_SESSION['user'], $data)){
              header("location: ".$DOCUMENT_ROOT."user/".urlencode(stripslashes($_POST['user'])));
            }else{
              header("location: ".$DOCUMENT_ROOT);
            }
          }else{
            header("location: ".$DOCUMENT_ROOT);
          }
        }else{
          header("location: ".$DOCUMENT_ROOT);
        }
      }else{
        header("location: ".$DOCUMENT_ROOT);
      }        
    }
    elseif($_POST['do'] == "unfollow" && $USER_IS_LOGGED_IN){//UNFOLLOW
      if(isset($_POST['token']) && isset($_POST['user'])){
        $frm_token  = escapefordb($_POST['token']);
        $frm_name   = escapefordb($_POST['user']);
        if(check_token($frm_token)){
          if(user_exists($_SESSION['user'])){
            $data = get_user_data($_SESSION['user']);
            $data->stream = array_diff($data->stream, array($frm_name));
            if(update_user_data($_SESSION['user'], $data)){
              header("location: ".$DOCUMENT_ROOT."user/".urlencode(stripslashes($_POST['user'])));
            }else{
              header("location: ".$DOCUMENT_ROOT);
            }
          }else{
            header("location: ".$DOCUMENT_ROOT);
          }
        }else{
          header("location: ".$DOCUMENT_ROOT);
        }
      }else{
        header("location: ".$DOCUMENT_ROOT);
      }        
    }
    else{
      header("location: ".$DOCUMENT_ROOT);
    }
  }else{
    header("location: ".$DOCUMENT_ROOT);
  }
  exit();
?>