<?php
  if(!user_exists($User_Page) || !message_exists($User_Page, $Message_ID)){
    header("location: ".$DOCUMENT_ROOT);
    exit();
  }
  $User_Page_Data = get_user_data($User_Page);
  $details        = get_message($User_Page, $Message_ID);
?>        <div class="white-back">
          <div class="fancy-message-container">
            <a href="<?php echo $DOCUMENT_ROOT . "user/" . escapeforurl($User_Page);?>"><img class="fancy-message-image" src="<?php echo $DOCUMENT_ROOT; echo user_has_icon($User_Page) ? ("userdata/icons/" . escapeforurl($User_Page)) : "img/default-icon.jpg"; ?>"></a>
            <div class="fancy-message">
              <div class="details">
                Said by <a href="<?php echo $DOCUMENT_ROOT . "user/" . escapeforurl($User_Page);?>"><?php display($User_Page_Data->display); ?></a> on <time datetime="<?php echo date("Y-m-d\TH:i\Z", $details->time); ?>"><?php echo date("d/m/Y", $details->time); ?> at <?php echo date("H:i", $details->time); ?></time>
              </div>
              <p><?php display($details->message); ?></p>
            </div>
          </div>
        </div>
