<?php
  if(!user_exists($User_Page)){
    header("location: ".$DOCUMENT_ROOT);
    exit();
  }
  $User_Page_Data = get_user_data($User_Page);
?>        <div class="user-info white-back">
          <h2>Stream</h2>
        </div>
        <div class="messages">
<?php
  $Items_Per_Page = 10;
  $Number_Of_Messages = how_many_stream_messages($User_Page);
  $Were_No_Items = true;
  $UdataCache = array();
  foreach(get_stream($User_Page, $Items_Per_Page, ($Page_Number-1)*$Items_Per_Page) as $item){
    $details = get_message($item['user'], $item['message']);
    if(isset($UdataCache[$item['user']])){
      $sudata = $UdataCache[$item['user']];
    }else{
      $sudata = get_user_data($item['user']);
      $UdataCache[$item['user']] = $sudata;
    }
?>
          <div class="stream-message<?php if(!$Were_No_Items) echo " message-margin"; ?>">
            <a href="<?php echo $DOCUMENT_ROOT . "user/" . escapeforurl($item['user']);?>"><img class="fancy-message-image" src="<?php echo $DOCUMENT_ROOT; ?><?php echo user_has_icon($item['user']) ? ("userdata/icons/". escapeforurl($item['user'])) : "img/default-icon.jpg"; ?>"></a>
            <div class="details">
              <a href="<?php echo $DOCUMENT_ROOT; ?>message/<?php echo escapeforurl($item['user']); ?>/<?php echo escapeforurl($item['message']); ?>"><?php display($sudata->display); ?> said on <time datetime="<?php echo date("Y-m-d\TH:i\Z", $details->time); ?>"><?php echo date("d/m/Y", $details->time); ?> at <?php echo date("H:i", $details->time); ?></time></a>
            </div>
            <div class="body"><?php display($details->message); ?></div>
          </div>
<?php
    $Were_No_Items = false;
  }
  if($Were_No_Items){
?>
          <div class="message">
            <h2>Nothing here yet.</h2>
          </div>
<?php
  }
?>
<?php
  if($Number_Of_Messages > $Items_Per_Page){
    $No_Of_Pages = ceil($Number_Of_Messages / $Items_Per_Page);
    if($No_Of_Pages > 5 && $Page_Number > 2){
      if($Page_Number > $No_Of_Pages - 3)
        $Page_No = $No_Of_Pages - 4;
      else
        $Page_No = $Page_Number - 2;
    }else{
      $Page_No = 1;
    }
    $End_Page_No = $Page_No + 4;
    if($End_Page_No > $No_Of_Pages) $End_Page_No = $No_Of_Pages;
?>
          <div class="pagination">
            <div class="pagination-block"<?php if($No_Of_Pages < 5) echo ' style="width: '.(71 + $No_Of_Pages * 36).'px;"'; ?>>
              <a class="first" href="<?php echo $DOCUMENT_ROOT . "stream/" . (($Page_Number > 1) ? $Page_Number - 1 : 1); ?>">&lt;</a>
<?php
    while($Page_No <= $End_Page_No){
?>
              <a<?php if($Page_No == $Page_Number) echo ' class="current"'; ?> href="<?php echo $DOCUMENT_ROOT . "stream/" . $Page_No; ?>"><?php echo $Page_No; ?></a>
<?php
      $Page_No += 1;
    }
?>
              <a href="<?php echo $DOCUMENT_ROOT . "stream/" . (($Page_Number < $No_Of_Pages) ? $Page_Number + 1 : $No_Of_Pages); ?>">&gt;</a>
            </div>
          </div>
<?php
  }
?>
        </div>
