<?php
  if(!user_exists($User_Page)){
    header("location: ".$DOCUMENT_ROOT);
    exit();
  }
  $User_Page_Data = get_user_data($User_Page);
?>        <div class="user-info white-back">
          <div class="user-image-container">
            <img alt="User Icon" src="<?php echo $DOCUMENT_ROOT; ?><?php echo user_has_icon($User_Page) ? ("userdata/icons/". escapeforurl($User_Page)) : "img/default-icon.jpg"; ?>" class="user-image">
<?php
  if($USER_IS_LOGGED_IN && $PAGE_ARRAY[0] == "profile"){
?>
            <a href="profile/edit/image"><div class="user-image-update">Edit Image</div></a>
<?php
  }
?>
          </div>
          <h2><?php display($User_Page_Data->display); ?></h2>
          <div class="user-description"><?php display($User_Page_Data->description); ?></div>
<?php
  if($USER_IS_LOGGED_IN && $PAGE_ARRAY[0] == "profile"){
?>
          <a href="profile/edit"><div class="user-update btn-nomargin">Edit Profile</div></a>
<?php
  }
  if($USER_IS_LOGGED_IN && $PAGE_ARRAY[0] != "profile"){
    $ufu = user_follows($_SESSION['user'], $User_Page);
?>
          <form id="follow" method="post" action="<?php echo $DOCUMENT_ROOT; ?>engine">
            <input name="do" value="<?php if($ufu) echo "un"; ?>follow" type="hidden">
            <input name="user" value="<?php display($User_Page); ?>" type="hidden">
            <input name="token" value="<?php echo get_token(); ?>" type="hidden">
            <a href="javascript:;" onclick="document.getElementById('follow').submit();"><div name="submit" class="user-update btn-nomargin"><?php echo $ufu ? "Unf" : "F" ?>ollow User</div></a>
          </form>
<?php
  }
?>
        </div>
<?php
  if($USER_IS_LOGGED_IN && $PAGE_ARRAY[0] == "profile"){
?>

        <div class="add-post">
          <form method="post" action="<?php echo $DOCUMENT_ROOT; ?>engine" onsubmit="return validatePost();">
            <input name="do" value="post" type="hidden">
            <input name="token" value="<?php echo get_token(); ?>" type="hidden">
            <textarea name="post" onkeydown="updatePostCharCount()" onkeyup="updatePostCharCount()" required id="post-input"></textarea>
            <input name="submit" value="Post" type="submit">
            <div id="char-counter" class="character-count">200</div>
          </form>
        </div>

<?php
  }
?>
        <div class="messages">
<?php
  $Items_Per_Page = 10;
  $Number_Of_Messages = how_many_messages($User_Page);
  $Were_No_Items = true;
  foreach(get_messages($User_Page, $Items_Per_Page, ($Page_Number-1)*$Items_Per_Page) as $item){
    $details = get_message($User_Page, $item);
?>
          <div class="message<?php if(!$Were_No_Items) echo " message-margin"; ?>">
            <div class="details">
              <a href="<?php echo $DOCUMENT_ROOT; ?>message/<?php echo escapeforurl($User_Page); ?>/<?php echo escapeforurl($item); ?>">Said on <time datetime="<?php echo date("Y-m-d\TH:i\Z", $details->time); ?>"><?php echo date("d/m/Y", $details->time); ?> at <?php echo date("H:i", $details->time); ?></time></a>
            </div>
            <div class="body"><?php display($details->message); ?></div>
          </div>
<?php
    $Were_No_Items = false;
  }
  if($Were_No_Items){
?>
          <div class="message">
            <h2>Nothing here yet.</h2>
          </div>
<?php
  }
?>
<?php
  if($Number_Of_Messages > $Items_Per_Page){
    $No_Of_Pages = ceil($Number_Of_Messages / $Items_Per_Page);
    if($No_Of_Pages > 5 && $Page_Number > 2){
      if($Page_Number > $No_Of_Pages - 3)
        $Page_No = $No_Of_Pages - 4;
      else
        $Page_No = $Page_Number - 2;
    }else{
      $Page_No = 1;
    }
    $End_Page_No = $Page_No + 4;
    if($End_Page_No > $No_Of_Pages) $End_Page_No = $No_Of_Pages;
?>
          <div class="pagination">
            <div class="pagination-block"<?php if($No_Of_Pages < 5) echo ' style="width: '.(71 + $No_Of_Pages * 36).'px;"'; ?>>
              <a class="first" href="<?php echo $DOCUMENT_ROOT . (($USER_IS_LOGGED_IN && $PAGE_ARRAY[0] == "profile") ? "profile/" : "user/".escapeforurl($User_Page)."/") . (($Page_Number > 1) ? $Page_Number - 1 : 1); ?>">&lt;</a>
<?php
    while($Page_No <= $End_Page_No){
?>
              <a<?php if($Page_No == $Page_Number) echo ' class="current"'; ?> href="<?php echo $DOCUMENT_ROOT . (($USER_IS_LOGGED_IN && $PAGE_ARRAY[0] == "profile") ? "profile/" : "user/".escapeforurl($User_Page)."/") . $Page_No; ?>"><?php echo $Page_No; ?></a>
<?php
      $Page_No += 1;
    }
?>
              <a href="<?php echo $DOCUMENT_ROOT . (($USER_IS_LOGGED_IN && $PAGE_ARRAY[0] == "profile") ? "profile/" : "user/".escapeforurl($User_Page)."/") . (($Page_Number < $No_Of_Pages) ? $Page_Number + 1 : $No_Of_Pages); ?>">&gt;</a>
            </div>
          </div>
<?php
  }
?>
        </div>
