<?php
  if(count($PAGE_ARRAY) == 1){
    if($PAGE_ARRAY[0] == ""){
      require_once "includes/pages/home.php";
    }
    elseif($PAGE_ARRAY[0] == "join"){
      require_once "includes/pages/join.php";
    }
    elseif($PAGE_ARRAY[0] == "login"){
      require_once "includes/pages/login.php";
    }
    elseif($PAGE_ARRAY[0] == "profile" && $USER_IS_LOGGED_IN){
      $User_Page = strtolower($_SESSION['user']);
      $Page_Number = 1;
      require_once "includes/pages/user.php";
    }
    elseif($PAGE_ARRAY[0] == "stream" && $USER_IS_LOGGED_IN){
      $User_Page = strtolower($_SESSION['user']);
      $Page_Number = 1;
      require_once "includes/pages/stream.php";
    }
    elseif($PAGE_ARRAY[0] == "error"){
      require_once "includes/pages/error.php";
    }
    elseif($PAGE_ARRAY[0] == "engine" || $PAGE_ARRAY[0] == "logout"){
      require_once "includes/engine.php";
    }
    elseif($PAGE_ARRAY[0] == "404"){
      header("HTTP/1.0 404 Not Found");
    }
    else{
      require_once "includes/pages/404.php";
    }
  }
  elseif(count($PAGE_ARRAY) == 2){
    if($PAGE_ARRAY[0] == "user" && $PAGE_ARRAY[1] != ""){
      $User_Page  = strtolower(addslashes(urldecode($PAGE_ARRAY[1])));
      $Page_Number = 1;
      require_once "includes/pages/user.php";
    }
    elseif($PAGE_ARRAY[0] == "profile" && $USER_IS_LOGGED_IN && is_numeric($PAGE_ARRAY[1])){
      $User_Page = strtolower($_SESSION['user']);
      $Page_Number = intval($PAGE_ARRAY[1]);
      require_once "includes/pages/user.php";
    }
    elseif($PAGE_ARRAY[0] == "stream" && $USER_IS_LOGGED_IN && is_numeric($PAGE_ARRAY[1])){
      $User_Page = strtolower($_SESSION['user']);
      $Page_Number = intval($PAGE_ARRAY[1]);
      require_once "includes/pages/stream.php";
    }
    elseif($PAGE_ARRAY[0] == "profile" && $PAGE_ARRAY[1] == "edit" && $USER_IS_LOGGED_IN){
      $User_Page = strtolower($_SESSION['user']);
      require_once "includes/pages/edit-user.php";
    }
    else{
      require_once "includes/pages/404.php";
    }
  }elseif(count($PAGE_ARRAY) == 3){
    if($PAGE_ARRAY[0] == "userdata" && $PAGE_ARRAY[1] == "icons" && $PAGE_ARRAY[2] != ""){
      $User_ID = strtolower(urldecode($PAGE_ARRAY[2]));
      $User_Data_Action = "icons";
      require_once "includes/userdata.php";
    }
    elseif($PAGE_ARRAY[0] == "user" && $PAGE_ARRAY[1] != "" && is_numeric($PAGE_ARRAY[2])){
      $User_Page  = strtolower(addslashes(urldecode($PAGE_ARRAY[1])));
      $Page_Number = intval($PAGE_ARRAY[2]);
      require_once "includes/pages/user.php";
    }
    elseif($PAGE_ARRAY[0] == "profile" && $PAGE_ARRAY[1] == "edit" && $PAGE_ARRAY[2] == "image" && $USER_IS_LOGGED_IN){
      require_once "includes/pages/edit-image.php";
    }
    elseif($PAGE_ARRAY[0] == "message" && $PAGE_ARRAY[1] != "" && $PAGE_ARRAY[2] != ""){
      if(user_exists(strtolower(addslashes(urldecode($PAGE_ARRAY[1])))) && strlen($PAGE_ARRAY[2]) == 40 && preg_match("/^([a-z]|[0-9])*$/",$PAGE_ARRAY[2])){
        $User_Page  = strtolower(addslashes(urldecode($PAGE_ARRAY[1])));
        $Message_ID = strtolower(urldecode($PAGE_ARRAY[2]));
        require_once "includes/pages/message.php";
      }else{
        require_once "includes/pages/404.php";
      }
    }
    else{
      require_once "includes/pages/404.php";
    }
  }else{
    require_once "includes/pages/404.php";
  }
?>